<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Rudické Antonínské hody</title>
    <!-- Scripts -->
    <script src="js/jquery-3.4.1.min.js"></script>
    <!-- <script src="../js/popper.min.js"></script> -->
    <script src="js/bootstrap.min.js"></script>
    <!-- <script src="../js/bootstrap.bundle.min.js"></script> -->
    <script src="js/moment-with-locales.js"></script>
    <script>moment.locale('cs');</script>
    <!-- Styles -->
    <link rel="stylesheet" href="css/fonts.css">
    <link rel="stylesheet" href="../css/bootstrap.min.css">
    <link rel="stylesheet" href="../css/cover.css">
    <link rel="stylesheet" href="css/countdown.css">
    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
</head>

<body class="text-center min-vh-100">
    <img src="../images/hody/IMG_4197.jpg" id="bg-img-1" alt="Background image" class="bg-img">
    <img src="../images/hody/IMG_4299.jpg" id="bg-img-2" alt="Background image" class="bg-img">
    <div class="overlay w-100 h-100 min-vh-100 d-flex m-0">
        <div class="container d-flex p-3 mx-auto flex-column">
            <div class="mb-auto"></div>
            <main role="main" class="inner cover" id="main">
                <h1 class="cover-heading" id="big-event-name">Antonínské hody Rudice</h1>
            </main>
            <footer class="mastfoot mt-auto">
                <div class="inner ">
                    <p>Copyright &copy; 2018 - 2020<br>
                        <a href="//lukasmatuska.cz" target="_blank">Lukáš&nbsp;Matuška</a>
                        & <a href="//rudickamladez.cz" target="_blank">Rudická mládež</a>
                    </p>
                </div>
            </footer>
        </div>
        <script>
            var firstBgImg = $('#bg-img-1');
            var secondBgImg = $('#bg-img-2');

            var backgrounds = new Array(
                '../images/hody/IMG_4197.jpg',
                '../images/hody/IMG_4299.jpg',
                '../images/hody/IMG_4640.jpg',
                '../images/hody/IMG_4726.jpg',
                '../images/hody/IMG_4756.jpg',
                '../images/hody/IMG_4766.jpg',
                '../images/hody/IMG_4791.jpg',
                '../images/hody/IMG_4824.jpg',
            );

            var current = 0;

            function nextBackground() {
                var imgElementToChange = current % 2 ? firstBgImg : secondBgImg;
                imgElementToChange.attr('src', backgrounds[current % backgrounds.length]);
                current++;
            }

            $(document).ready(function () {
                setTimeout(function () {
                    nextBackground();
                    setInterval(nextBackground, 5000);
                }, 2500);
            });

            $('#big-event-name').append(` ${moment().format('YYYY')}`);
            function countdown(jqObj, event, id) {
                $('<div>').append(
                    $('<div>', { id: `countdown-${id}`, class: 'd-flex flex-row flex-wrap justify-content-center countdown' }).append(
                        $('<div>', { class: "d-flex flex-column countdown-box months" }).append(
                            $('<span>', { class: "time" }).text(0),
                            $('<span>', { class: "word" }).text('months'),
                        ),
                        $('<div>', { class: "d-flex flex-column countdown-box days" }).append(
                            $('<span>', { class: "time" }).text(0),
                            $('<span>', { class: "word" }).text('days'),
                        ),
                        $('<div>', { class: "d-flex flex-column countdown-box hours" }).append(
                            $('<span>', { class: "time" }).text(0),
                            $('<span>', { class: "word" }).text('hours'),
                        ),
                        $('<div>', { class: "d-flex flex-column countdown-box minutes" }).append(
                            $('<span>', { class: "time" }).text(0),
                            $('<span>', { class: "word" }).text('minutes'),
                        ),
                        $('<div>', { class: "d-flex flex-column countdown-box seconds" }).append(
                            $('<span>', { class: "time" }).text(0),
                            $('<span>', { class: "word" }).text('seconds'),
                        ),
                    ),
                    $('<p>', { class: "lead" }).append(
                        'zbývá do ',
                        // $('<span>', { id: `small-event-name-${id}` }),
                        event.name,
                        '.'
                    ),
                ).appendTo(jqObj);

                var duration = moment.duration((event.moment.unix() - moment().unix()) * 1000, 'milliseconds');
                var interval = 1000; // in milliseconds

                setInterval(function () {
                    duration = moment.duration(duration - interval, 'milliseconds');
                    /* Months */
                    var months = duration.months();
                    $(`#countdown-${id} .months .time`).text(months);
                    if (months == 0) {
                        $(`#countdown-${id} .months`).parent().hide();
                    } else if (months === 1) {
                        $(`#countdown-${id} .months .word`).text('měsíc');
                    } else if (months < 5) {
                        $(`#countdown-${id} .months .word`).text('měsíce');
                    } else {
                        $(`#countdown-${id} .months .word`).text('měsíců');
                    }

                    /* Days */
                    var days = duration.days();
                    $(`#countdown-${id} .days .time`).text(days);
                    if (days == 0) {
                        $(`#countdown-${id} .days`).parent().hide();
                    } else if (days === 1) {
                        $(`#countdown-${id} .days .word`).text('den');
                    } else if (days < 5) {
                        $(`#countdown-${id} .days .word`).text('dny');
                    } else {
                        $(`#countdown-${id} .days .word`).text('dní');
                    }

                    /* Hours */
                    var hours = duration.hours();
                    $(`#countdown-${id} .hours .time`).text(hours);
                    if (hours == 0) {
                        $(`#countdown-${id} .hours`).parent().hide();
                    } else if (hours === 1) {
                        $(`#countdown-${id} .hours .word`).text('hodina');
                    } else if (hours < 5) {
                        $(`#countdown-${id} .hours .word`).text('hodiny');
                    } else {
                        $(`#countdown-${id} .hours .word`).text('hodin');
                    }

                    /* Minutes */
                    var minutes = duration.minutes();
                    $(`#countdown-${id} .minutes .time`).text(minutes);
                    if (minutes == 0) {
                        $(`#countdown-${id} .minutes`).parent().hide();
                    } else if (minutes === 1) {
                        $(`#countdown-${id} .minutes .word`).text('minuta');
                    } else if (minutes < 5) {
                        $(`#countdown-${id} .minutes .word`).text('minuty');
                    } else {
                        $(`#countdown-${id} .minutes .word`).text('minut');
                    }

                    /* Seconds */
                    var seconds = duration.seconds();
                    $(`#countdown-${id} .seconds .time`).text(seconds);
                    if (seconds == 0) {
                        $(`#countdown-${id} .seconds`).hide();
                        $(`#countdown-${id} .seconds .word`).text('sekund');
                    } else {
                        $(`#countdown-${id} .seconds`).show();
                        if (seconds === 1) {
                            $(`#countdown-${id} .seconds .word`).text('sekunda');
                        } else if (seconds < 5) {
                            $(`#countdown-${id} .seconds .word`).text('sekundy');
                        } else {
                            $(`#countdown-${id} .seconds .word`).text('sekund');
                        }
                    }
                }, interval);
            }

            var smallEvents = [
                {
                    name: 'první nácvik',
                    moment: moment('2020-02-29T18:30:00+02:00')
                }, {
                    name: 'stavění máje',
                    moment: moment('2020-06-10T17:00:00+02:00')
                }, {
                    name: 'předhová zábava s Explozí',
                    moment: moment('2020-06-11T19:00:00+02:00')
                }, {
                    name: 'hodová mše',
                    moment: moment('2020-06-11T09:00:00+02:00')
                }, {
                    name: 'hodový průvod obcí',
                    moment: moment('2020-06-11T14:00:00+02:00')
                }, {
                    name: 'hodové dozvuky s cimbálkou',
                    moment: moment('2020-06-12T15:00:00+02:00')
                }
            ];

            var runningCountdown = false;
            for (let i = 0; i < smallEvents.length; i++) {
                var event = smallEvents[i];
                if (event.moment.diff(moment()) < 0) {
                    $('#main').append(
                        $('<p>', { class: 'lead' }).text(`${event.name[0].toUpperCase()}${event.name.substring(1)} máme za sebou.`),
                    );
                } else if (!runningCountdown) {
                    countdown($('#main'), smallEvents[i], i);
                    runningCountdown = true;
                } else {
                    $('#main').append(
                        $('<p>', { class: 'lead' }).text(`Potom nás čeká ${event.name}.`),
                    );
                    break;
                }
            }
        </script>
    </div>
</body>

</html>